Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® OLAP Analytic Workspace Java API Reference 10g Release 2 (10.2) B14351-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.AWAction
Class Detach

    java.lang.Object
      |
      +--oracle.AWAction.AWAction
            |
            +--oracle.AWAction.Detach

public class Detach
extends AWAction

An `AWAction` that specifies detaching an analytic workspace.

Constructor Summary
`Detach(Interaction input)` Creates a `Detach` action object in the specified `Interaction`.
`Detach(java.lang.String input)` Specifies an analytic workspace by name as the analytic workspace to detach.

Method Summary
`void` | `Execute()` Detaches the analytic workspace.
`java.lang.String` | `getAWName()` Gets the name of the analytic workspace to detach.
`void` | `setActiveObject(BaseObject input)` Specifies an analytic workspace as the active object to detach.
`void` | `setAWName(java.lang.String input)` Specifies an analytic workspace by name as the analytic workspace to detach.
`java.lang.String` | `WriteToXML()` Gets an XML representation of the `Detach` object.

Methods inherited from class oracle.AWAction.AWAction
`getActiveObject, getOwner, setOwner`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Detach

    public Detach(Interaction input)

  Creates a `Detach` action object in the specified `Interaction`.
  Parameters:
    `input` - The `Interaction` that owns the `Detach` object.

### Detach

    public Detach(java.lang.String input)

  Specifies an analytic workspace by name as the analytic workspace to detach. An analytic workspace specified as the active object by the `setActiveObject` method takes precedence over an analytic workspace specified by this method as the analytic workspace to detach.
  Parameters:
    `input` - The name of the analytic workspace to detach.

Method Detail

### setActiveObject

    public void setActiveObject(BaseObject input)

  Specifies an analytic workspace as the active object to detach. An analytic workspace specified by this method takes precedence over one specified by the `setAWName` method as the analytic workspace to detach.
  Overrides:
    setActiveObject in class AWAction
  Parameters:
    `input` - The `AW` object to detach.

### setAWName

    public void setAWName(java.lang.String input)

  Specifies an analytic workspace by name as the analytic workspace to detach. An analytic workspace specified as the active object by the `setActiveObject` method takes precedence over an analytic workspace specified by this method as the analytic workspace to detach.
  Parameters:
    `input` - The name of the analytic workspace to detach.

### getAWName

    public java.lang.String getAWName()

  Gets the name of the analytic workspace to detach.
  Returns:
    The name of the analytic workspace to detach.

### Execute

    public void Execute()

  Detaches the analytic workspace.
  Overrides:
    Execute in class AWAction

### WriteToXML

    public java.lang.String WriteToXML()

  Gets an XML representation of the `Detach` object.
  Overrides:
    WriteToXML in class AWAction
  Returns:
    A `String` that is an XML representation of the `Detach` object.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® OLAP Analytic Workspace Java API Reference 10g Release 2 (10.2) B14351-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003, 2005 Oracle. All rights reserved.